unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    ListBox1: TListBox;
    Memo1: TMemo;
    Notebook1: TNotebook;
    Panel3: TPanel;
    Seite_1: TPage;
    Seite_2: TPage;
    Panel1: TPanel;
    Panel2: TPanel;
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ListBox1Click(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  Listbox1.Items.Assign(Notebook1.Pages);
  Listbox1.ItemIndex := Notebook1.PageIndex;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Notebook1.PageIndex := NoteBook1.Pages.Add('Seite_' + IntToStr(Notebook1.PageCount+1));
  Listbox1.Items.Assign(Notebook1.Pages);
  Listbox1.ItemIndex := Notebook1.PageIndex;

  with TButton.Create(self) do
  begin
    Left := Random(Notebook1.ClientWidth - Width);
    Top := Random(Notebook1.ClientHeight - Height);
    Caption := 'Button';
    Parent := Notebook1.ActivePageComponent;
  end;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  if Notebook1.PageIndex > -1 then
  begin
    Notebook1.Pages.Delete(Notebook1.PageIndex);
    Listbox1.Items.Assign(Notebook1.Pages);
    Listbox1.ItemIndex := Notebook1.PageIndex;
  end;
end;

procedure TForm1.ListBox1Click(Sender: TObject);
begin
  Notebook1.PageIndex := Listbox1.ItemIndex;
end;

end.

